.\" Copyright (c) 1997
.\"	John-Mark Gurney.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY John-Mark Gurney AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man9/cd.9,v 1.1.2.5 1999/09/05 11:27:13 peter Exp $
.\"
.Dd February 1, 1997
.Dt CD 9
.Os FreeBSD
.Sh NAME
.Nm cd
.Nd device driver for SCSI subsystem
.Sh DESCRIPTION
The
.Nm
device driver provides the 
.Tn SCSI
subsystem a way to handle type 5
.Pq Dv T_READONLY
media.  Some drives don't behave as the driver expects.  See the section
QUIRKS for info on possible flags.
.Sh QUIRKS
Each
.Tn CD-ROM
device can have different interpretations of the
.Tn SCSI
spec.  This can lead to drives requiring special handling in the driver.  The
following is a list of quirks that the driver recognize.  See
.Xr scsiconf 9
for more information on how to add quirk entries.
.Bl -tag -width CD_Q_BCD_TRACKS
.It Dv CD_Q_NO_TOUCH
This flag tell the driver not to probe the drive at attach time to see if
there is a disk in the drive and find out what size it is.
.ig xx
.It Dv CD_Q_BCD_TRACKS
This flag is for broken drives that return the track numbers in packed BCD
encoding instead of straight decimal.  If the drive seems to skip tracks
.Pq usually tracks 10-15 are skipped
then you have a drive that is in need of this flag.
.xx
.El
.Sh FILES
.Bl -tag -width /sys/scsi/scsiconf.h -compact
.It Pa /sys/scsi/cd.c
files contains actual driver code
.It Pa /sys/scsi/scsiconf.h
contains the defines of the
.Dv CD_Q_xxx
quirk flags
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr scsiconf 9
.Sh HISTORY
The
.Nm
manual page first appeared in
.Fx 2.2 .
.Sh AUTHOR
This
manual page was written by John-Mark Gurney
.Aq gurney_j@efn.org .
